singleton Material(body)
{
    mapTo = "body";
	colorPaletteMap[2] = "tone.png";
    diffuseMap[2] = "color.png";
    specularMap[2] = "specular.png";
    normalMap[2] = "normal.png";
    diffuseMap[1] = "diffuse.png";
    specularMap[1] = "specular.png";
    normalMap[1] = "normal.png";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "normal.png";
    specularPower[0] = "16";
    pixelSpecular[0] = "1";
    specularPower[1] = "16";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "1";
    alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    beamngDiffuseColorSlot = 2;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(brake)
{
    mapTo = "brake";
	diffuseMap[3] = "taillight.png";
	colorPaletteMap[2] = "tone.png";
    diffuseMap[2] = "color.png";
    specularMap[2] = "specular.png";
    normalMap[2] = "normal.png";
    diffuseMap[1] = "diffuse.png";
    specularMap[1] = "specular.png";
    normalMap[1] = "normal.png";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "normal.png";
    specularPower[0] = "16";
    pixelSpecular[0] = "1";
    specularPower[1] = "16";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "1";
    alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    glow[3] = "1";
    emissive[3] = "1";
    beamngDiffuseColorSlot = 2;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(engine)
{
    mapTo = "engine";
	diffuseMap[3] = "taillight.png";
	colorPaletteMap[2] = "tone.png";
    diffuseMap[2] = "color.png";
    specularMap[2] = "specular.png";
    normalMap[2] = "normal.png";
    diffuseMap[1] = "diffuse.png";
    specularMap[1] = "specular.png";
    normalMap[1] = "normal.png";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "normal.png";
    specularPower[0] = "16";
    pixelSpecular[0] = "1";
    specularPower[1] = "16";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "1";
    alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    glow[3] = "0";
    emissive[3] = "0";
    beamngDiffuseColorSlot = 2;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(props)
{
    mapTo = "props";
    diffuseColor[0] = "1 1 1 1";
    diffuseMap[0] = "diffuse.png";
    normalMap[0] = "normal.png";
};

singleton Material(decals)
{
    mapTo = "decals";
    diffuseColor[0] = "1 1 1 1";
    diffuseMap[0] = "diffuse.png";
    normalMap[0] = "normal.png";
};

singleton Material(wheels)
{
	mapTo = "wheels";
    diffuseColor[0] = "0.96 0.95 0.1 1";
	specularPower[0] = 16;
	useAnisotropic[0] = 1;
	pixelSpecular[0] = 1;
    //diffuseMap[0] = "diffuse.png";
};

singleton Material(black)
{
	mapTo = "black";
    diffuseColor[0] = "0 0.0 0 1";
	specularPower[0] = 16;
	useAnisotropic[0] = 1;
	pixelSpecular[0] = 1;
    //diffuseMap[0] = "diffuse.png";
};

singleton Material(tires)
{
	mapTo = "tires";
    diffuseMap[1] = "vehicles/common/tires/tire_01a_d.dds";
    specularMap[1] = "vehicles/common/tires/tire_01a_s.dds";
    normalMap[1] = "vehicles/common/tires/tire_01a_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/tires/tire_01a_n.dds";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1.1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    doubleSided = "1";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};